1. Tickets
Public API
  • Welcome to the deskbird developer docs
  • Public API
    • Overview
    • Users
      • Lists company users
      • Retrieves a single company user
    • Bookings
      • Lists company bookings
      • Creates a new resource booking
      • Gets a single company booking
      • Updates an existing booking
      • Cancels a booking
      • Checks in to a booking
      • Releases a booking early
    • Groups
      • Lists company user groups
      • Retrieves a single company user group
    • Resources
      • Gets a resource by ID
      • Lists company resources
    • Offices
      • Lists company offices
      • Checks a user into an office
    • Scheduling
      • Lists company scheduling statuses
      • Deletes scheduling statuses by IDs
      • Adds new scheduling statuses for a user
    • Scheduling Options
      • Lists company scheduling options
    • Rooms
      • Lists company rooms
      • Gets a single room
      • Creates a room booking
      • Lists room bookings
      • Gets a single room booking
      • Updates a room booking
      • Checks in to a room booking
      • Cancels a room booking
      • Lists company room bookings
    • Floors
      • Lists company floors
    • Zones
      • Lists company zones
    • Tickets
      • Updates a ticket
    • Sensors
      • Lists company monitors
  • MCP server
    • Overview
    • Authentication
    • Tools reference
  • Sensors
    • Lists company network configurations
  • Visitors
    • Lists company visit types
    • Lists company visits
    • Gets a single company visit
  • Tickets
    • Lists company tickets
      GET
    • Gets a single company ticket
      GET
    • Lists ticket categories
      GET
  • Schemas
    • Provider
    • UserStatus
    • UserIncludeOptions
    • BookingStatus
    • GuestEmbeddedResponse
    • UserEmbeddedResponse
    • ResourceEmbeddedResponse
    • BookingHistoryResponse
    • BookingResponse
    • PaginatedBookingResponse
    • CreateBookingGuestDto
    • CreateBookingDto
    • UpdateBookingDto
    • CheckInDto
    • AddressResponse
    • OpeningHourResponse
    • OpeningHoursResponse
    • OfficeResponse
    • EnvelopedOfficeResponse
    • CheckUserIntoOfficeBody
    • SharedResourceAccessInfoResponse
    • DedicatedResourceAccessInfoResponse
    • EquipmentResponse
    • ResourceResponse
    • ResourceType
    • PaginatedResourceResponse
    • SchedulingOutput
    • UserStatusInput
    • AddUserStatusesInput
    • SchedulingOptionOutput
    • AttendeeResponse
    • RoomBookingResponse
    • PaginatedRoomBookingResponse
    • RoomBookingDetailedResponse
    • AttendeeDto
    • RoomResponse
    • PaginatedRoomResponse
    • CreateRoomBookingDto
    • UpdateRoomBookingDto
    • FloorResponse
    • PaginatedFloorResponse
    • AssignedGroupResponse
    • ZoneResponse
    • PaginatedZoneResponse
    • UpdateTicketDto
    • MonitorState
    • MonitorOfficeResponse
    • MonitorFloorResponse
    • MonitorAreaResponse
    • MonitorDeskResponse
    • MonitorMappingResponse
    • MonitorResponse
    • PaginatedMonitorResponse
    • NetworkConflictSignal
    • NetworkConflictResponse
    • NetworkResponse
    • PaginatedNetworkResponse
    • TicketCategoryReferenceResponse
    • VisitTypeResponse
    • TicketUserResponse
    • EnvelopedVisitTypeResponse
    • TicketCustomFieldResponse
    • TicketAttachmentResponse
    • TicketResponse
    • PaginatedTicketResponse
    • TicketCommentResponse
    • TicketDetailsResponse
    • TicketCategoryCustomFieldResponse
    • TicketCategoryResponse
    • EnvelopedTicketCategoryResponse
    • VisitTypeReferenceResponse
    • VisitHostResponse
    • VisitorResponse
    • VisitResponse
    • PaginatedVisitResponse
  1. Tickets

Gets a single company ticket

GET
/ticketing/tickets/{ticketId}
Retrieves one ticket with its public comments and the metadata of the files attached to it and to those comments. Comments marked private in deskbird are never returned, and file contents are not served by this API. A ticket of another company is reported as not found.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://connect.deskbird.com/ticketing/tickets/' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
The requested ticket with its public comments and attachments
Bodyapplication/json

Example
{
    "id": "11eebc99-9c0b-4ef8-bb6d-6bb9bd380101",
    "code": "FAC-1042",
    "status": "open",
    "urgency": "low",
    "source": "web",
    "officeId": "a1eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
    "floorId": "31eebc99-9c0b-4ef8-bb6d-6bb9bd380301",
    "zoneId": "41eebc99-9c0b-4ef8-bb6d-6bb9bd380401",
    "resourceId": null,
    "locationInfo": "Kitchen, second floor",
    "category": {
        "id": "51eebc99-9c0b-4ef8-bb6d-6bb9bd380501",
        "name": "Facilities"
    },
    "reportedById": "61eebc99-9c0b-4ef8-bb6d-6bb9bd380601",
    "reportedBy": {
        "id": "d1eebc99-9c0b-4ef8-bb6d-6bb9bd380d01",
        "email": "john.doe@deskbird.com",
        "firstName": "John",
        "lastName": "Doe"
    },
    "assignedToId": null,
    "assignedTo": {
        "id": "d1eebc99-9c0b-4ef8-bb6d-6bb9bd380d01",
        "email": "john.doe@deskbird.com",
        "firstName": "John",
        "lastName": "Doe"
    },
    "customFields": [
        {
            "id": "a2eebc99-9c0b-4ef8-bb6d-6bb9bd380a02",
            "label": "What is affected?",
            "type": "shortText",
            "value": "string"
        }
    ],
    "attachments": [
        {
            "id": "91eebc99-9c0b-4ef8-bb6d-6bb9bd380901",
            "fileName": "broken-machine.jpg",
            "mimeType": "image/jpeg"
        }
    ],
    "createdAt": "2026-06-01T08:00:00.000Z",
    "updatedAt": "2026-06-02T09:15:00.000Z",
    "comments": [
        {
            "id": "81eebc99-9c0b-4ef8-bb6d-6bb9bd380801",
            "parentId": null,
            "content": "A technician has been scheduled for Monday.",
            "authorId": "71eebc99-9c0b-4ef8-bb6d-6bb9bd380701",
            "author": {
                "id": "d1eebc99-9c0b-4ef8-bb6d-6bb9bd380d01",
                "email": "john.doe@deskbird.com",
                "firstName": "John",
                "lastName": "Doe"
            },
            "attachments": [
                {
                    "id": "91eebc99-9c0b-4ef8-bb6d-6bb9bd380901",
                    "fileName": "broken-machine.jpg",
                    "mimeType": "image/jpeg"
                }
            ],
            "createdAt": "2026-06-02T09:15:00.000Z",
            "updatedAt": "2026-06-02T09:15:00.000Z"
        }
    ]
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
Previous
Lists company tickets
Next
Lists ticket categories
Built with